commit:     a06a3691b52cafd5101b43ff0aa00aef5d1f29e8
Author:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 28 19:54:31 2021 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Mar 29 13:43:42 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a06a3691

sci-mathematics/maxima: hide dbl.el when USE=gcl is unset.

One of the emacs modes installed by maxima requires the gcl lisp
interpreter (with emacs support) to be installed. To avoid confusing
error messages, we remove it from the installation image when USE=gcl
is unset.

Closes: https://bugs.gentoo.org/502112
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 .../maxima/{maxima-5.44.0-r5.ebuild => maxima-5.44.0-r6.ebuild}    | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/sci-mathematics/maxima/maxima-5.44.0-r5.ebuild 
b/sci-mathematics/maxima/maxima-5.44.0-r6.ebuild
similarity index 95%
rename from sci-mathematics/maxima/maxima-5.44.0-r5.ebuild
rename to sci-mathematics/maxima/maxima-5.44.0-r6.ebuild
index e0dbc91fdb0..540d0048980 100644
--- a/sci-mathematics/maxima/maxima-5.44.0-r5.ebuild
+++ b/sci-mathematics/maxima/maxima-5.44.0-r6.ebuild
@@ -204,6 +204,13 @@ src_install() {
                insinto /usr/share/${PN}/${PV}/doc/imaxima
                doins interfaces/emacs/imaxima/README
                doins -r interfaces/emacs/imaxima/imath-example
+
+               if ! use gcl; then
+                       # This emacs package is used to run gcl, maxima, gdb, 
etc.
+                       # all at once and possibly in the same buffer. As such, 
it's
+                       # no use without gcl (more to the point: it requires 
gcl.el).
+                       find "${ED}" -name 'dbl.el' -type f -delete || die
+               fi
        fi
 
        if use ecls; then

Reply via email to